
.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}



.productInfoContainer {
    display: grid;
    justify-content: center;
    align-items: center;
    gap:8px
}

.productImage{
  border-radius: 50%;
  width: 100px;
  height: 100px;
  border: 3px solid var(--tertiary);
}

.productContainer{
  display: grid;
  justify-content: center;
  align-items: center;
  gap: 21px;
  color: var(--primary);
}

.productDescription{
  display: grid;
  justify-content: center;
  align-items: center;
  gap: 21px;
  color: var(--primary);
  font-size: small;
}

.headerContainer{
  display: grid;
  grid-auto-flow: column;
  justify-content: space-around;
  align-items: center;
  color: var(--quaternary);
  background: linear-gradient(180deg,  var(--tertiary) -0%, var(--quaternary) 100%);
  height: 200px;
  text-shadow: 1px 1px 2px var(--primary);
}

.productPrice{
  display: grid;
  grid-auto-flow: column;
}

.productQuantity{
    text-align: center;
    display: grid;
    grid-auto-flow: column;
    justify-content: center;
    align-items: center;
    gap: 5px
}

.stockPrice{
  display: grid;
  grid-auto-flow: column;
  align-items: center;
  gap: 21px;
}

.productName{
  font-size: 21px;
  color:var(--tertiary);
  text-shadow: 1px 1px 2px var(--tertiary);
  
}

.dataContainer{
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-gap: 89px;
}

.productFormContainer{
  display: grid;
  justify-content: center;
  align-items: center;
  height: 100%;
}

.form-group{
  display: grid;
  gap: 11px;
  margin-bottom: 34px;
  color: var(--secondary);
}

.formBtn{
  display: grid;
  grid-auto-flow: column;
  justify-content: space-between;

}

.errorLoadingContainer{
  display: grid;
  justify-content: center;
  align-items: center;
  height: 100%;
}

@media (max-width: 500px) {
  .dataContainer{
    display: grid;
    grid-template-columns: 1fr ;
    grid-template-rows: 1fr ;
    gap: 89px;
  }
}